ShortList (XML Schema API)
Keywords: org.apache.xerces.xs.ShortList interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface ShortList

All Superinterfaces:
  java.util.Collection, java.lang.Iterable, java.util.List

    public interface ShortList

extends java.util.List

The `ShortList` is an immutable ordered collection of `unsigned short`.

Method Summary
`boolean` | `contains(short item)` Checks if the `unsigned short` `item` is a member of this list.
`int` | `getLength()` The number of `unsigned short`s in the list.
`short` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getLength

    int getLength()

  The number of `unsigned short`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    boolean contains(short item)

  Checks if the `unsigned short` `item` is a member of this list.

  Parameters:
    `item` - `unsigned short` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `unsigned short` `item`.

### item

    short item(int index)
               throws XSException

  Returns the `index`th item in the collection. The index starts at 0.

  Parameters:
    `index` - index into the collection.
  Returns:
    The `unsigned short` at the `index`th position in the `ShortList`.
  Throws:
    `XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.